//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//    ************************************
//    *                                  *
//    *      RemSimRoofDecorator.hh      *
//    *                                  *
//    ************************************
//
// Code developed by: S.Guatelli, guatelli@ge.infn.it
//
//
// $Id: RemSimRoofDecorator.hh,v 1.4 2005/05/27 14:21:42 guatelli Exp $
// GEANT4 tag $Name: geant4-07-01-patch-01 $
//

#ifndef RemSimRoofDecorator_h
#define RemSimRoofDecorator_h 1

#include "RemSimDecorator.hh"
#include "RemSimVGeometryComponent.hh"
#include "globals.hh"
class G4VPhysicalVolume;
class G4Trd;
class G4LogicalVolume;
class G4Material;
class RemSimMaterial;
class RemSimVGeometryComponent;
class RemSimDecorator;
class G4VPhysicalVolume;
class G4VisAttributes;

class RemSimRoofDecorator: public RemSimDecorator
{
public:
  RemSimRoofDecorator(RemSimVGeometryComponent*);
  ~RemSimRoofDecorator();
  void ConstructComponent(G4VPhysicalVolume*);
  void DestroyComponent(); 
  void ChangeThickness(G4double);
  void PrintDetectorParameters();

private:

  void ConstructRoof(G4VPhysicalVolume*);

  RemSimMaterial* pMaterial; 
  G4String shieldingMaterial;
  G4VisAttributes* roofVisAtt;
  G4Trd* roof;
  G4LogicalVolume* roofLog;
  G4VPhysicalVolume* roofPhys;
};
#endif
