//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
// File: G4Pevent.cc
//
// History:
//   '01.11.18  Youhei Morita  Initial creation

#ifndef WIN32

#include "G4Pevent.hh"

//G4Pevent::G4Pevent( HepMC::GenEvent* hepevt, G4MCTEvent* mctevt, G4Event* g4evt )
// : f_hepevt(hepevt), genEventID(-1), f_mctevt(mctevt), f_g4evt(g4evt)

G4Pevent::G4Pevent( HepMC::GenEvent* hepevt, G4Event* g4evt )
 : f_hepevt(hepevt), genEventID(-1), f_g4evt(g4evt)
{
  m_id = g4evt->GetEventID();
  if (hepevt) genEventID= hepevt->event_number();
}

G4Pevent::~G4Pevent()
{
  delete f_g4evt;
}

#endif
