//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//

#ifndef G4SigmaPlusField_h
#define  G4SigmaPlusField_h 1

#include "G4VNuclearField.hh"

class G4SigmaPlusField: public G4VNuclearField
{
public:
  G4SigmaPlusField(G4V3DNucleus * nucleus, G4double coeff = 0.36*fermi);
  virtual ~G4SigmaPlusField();

private:
  G4SigmaPlusField(const  G4SigmaPlusField &right);
  const G4SigmaPlusField & operator=(const G4SigmaPlusField & right);
  int operator==(const G4SigmaPlusField & right) const;
  int operator!=(const G4SigmaPlusField & right) const;

public:
  virtual G4double GetField(const G4ThreeVector & aPosition);
  virtual G4double GetBarrier();
  virtual G4double GetCoeff() { return theCoeff; }

private:
  G4double theCoeff;
};

#endif



